Cara memperbaiki Flutter Plugin dan Dart not installed setelah update Android Studio versi 4.1

Bagi Anda yang melakukan update Android Studio ke versi 4.1 dan mengalami error saat melakukan perintah flutter doctor, dengan pesan error seperti Flutter plugin not installed; this adds Flutter spesific functionality dan juga muncul pesan seperi Dart plugin not installed; this adds Dart spesific functionality. seperti gambar berikut ini.
Flutter plugin not installed this adds Flutter spesific functionality
Berikut ini solusi yang bisa Anda coba :

Solusi ke-1

Pastikan plugin Flutter dan Dart sudah diinstall di Android Studio terbaru, caranya :
Buka Android Studio Anda, kemudian masuk ke menu Plugin (Marketplace).
Flutter plugin not installed this adds Flutter spesific functionality - Android Studio Configure Plugin
Flutter plugin not installed this adds Flutter spesific functionality - Android Studio Configure Plugin Choose
Install Flutter & Dart Plugin Android Studio
Pastikan juga plugin Dart sudah dinstall. Kemudian coba kembali cek di command prompt dengan perintah flutter doctor. Jika belum berhasil coba solusi 2.

 

Solusi ke-2

Jika masih terjadi error Flutter plugin not installed, silahkan ganti versi flutter Anda menjadi versi dev channel. Hal ini terjadi karena ada isu bug di versi flutter 1.22, jadi coba ganti ke flutter 1.23 versi dev channel. Caranya, masuk ke command prompt (lokasi folder flutter), dan ketik perintah flutter channel dev <enter>.

Read more